Bug 74319 - IPv4 routing scripts different from IPv6 routing
IPv4 routing scripts different from IPv6 routing
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brock Organ
: FutureFeature
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-09-20 08:21 EDT by Jos Vos
Modified: 2014-03-16 22:31 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-07-22 06:27:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jos Vos 2002-09-20 08:21:06 EDT
Description of Problem:
The IPv6 scripts (like ifup-ipv6) still seem to use a static-routes-ipv6 file,
while this method is not used anymore for IPv4 scripts.  I think both methods
should be made as compatible as possible.

Version-Release number of selected component (if applicable):
6.95-1
Comment 1 Bill Nottingham 2002-11-12 01:55:57 EST
Yeah, this really should be going through the same interface.
Comment 2 Pekka Savola 2002-11-12 02:47:05 EST
I believe IPv6 part will be moving towards a similar route6-<interface> as well.
Comment 3 Pekka Savola 2002-11-12 03:13:21 EST
Hmm, it appears there are two formats, route-<interface> and <interface>.route
for IPv4.  Should both be supported, I guess route-<interface> is primary until
the Red Hat config tools support IPv6?
Comment 4 Jos Vos 2002-11-12 03:48:58 EST
AFAIK (although I've not looked at the current CVS version), route-<if> is for
manually adding routes and <if>.route is generated by the RH config tools, so
both should probably be supported.
Comment 5 Bill Nottingham 2002-11-12 11:25:33 EST
Correct; if redhat-config-network were to get IPv6 support, it would write to
<if>.route.
Comment 6 Pekka Savola 2003-07-22 06:27:43 EDT
Note that RHL9 supports "route6-<device>" -type static routes.
As the configuration tools don't support IPv6 at the moment, I believe the other
format is not needed, and closing the bug as CURRENTRELEASE.

Note You need to log in before you can comment on or make changes to this bug.